AAFBuilder (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.io.aaf

## Class AAFBuilder

- java.lang.Object
- - tv.amwa.maj.io.aaf.AAFBuilder

- All Implemented Interfaces:
    CommonConstants, AAFConstants

      public class AAFBuilder
      extends Object
      implements AAFConstants

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static AUID` | `MobRefClassID`

    - ### Fields inherited from interface tv.amwa.maj.io.aaf.AAFConstants

      `AAFSignatureSSBin4K, AAFSignatureSSBin4KBytes, AAFSignatureSSBinary, AAFSignatureSSBinaryBytes, ByteOrderPropertyID, classNameAliases, directoryNameAliases, IdentificationGenerationIDProperty, LocalIdentificationProperty, MAP_SS_CLASS_NAMES, MAP_SS_DIRECTORY_NAMES, MAP_SS_PROPERTY_NAMES, MAP_SS_TYPE_NAMES, META_DICTIONARY_DIRNAME, MetaDefinitionIDProperty, ParametersID, PREFACE_DIRNAME, PROPERTIES_STREAMNAME, propertyNameAliases, REFERENCED_PROPERTIES_STREAMNAME, rootEntryClassID, RootMetaDictionaryProperty, RootPrefaceProperty, SF_DATA, SF_DATA_STREAM, SF_STRONG_OBJECT_REFERENCE, SF_STRONG_OBJECT_REFERENCE_SET, SF_STRONG_OBJECT_REFERENCE_VECTOR, SF_WEAK_OBJECT_REFERENCE, SF_WEAK_OBJECT_REFERENCE_SET, SF_WEAK_OBJECT_REFERENCE_VECTOR, STREAM_CHUNK_SIZE, typeNameAliases`

    - ### Fields inherited from interface tv.amwa.maj.constant.CommonConstants

      `AAF_METADICT_NAMESPACE, AAF_METADICT_PREFIX, AAF_XML_NAMESPACE, AAF_XML_PREFIX, ApplicationPluginObjectID, ApplicationPluginsID, MAX_NUM_RGBA_COMPS, MemberOfID, ObjectClassID, ParentClassID, PropertiesID, XMLClassIDAsAttributeName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AAFBuilder()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `generateAAFStructure(org.apache.poi.poifs.filesystem.DirectoryEntry classDir, AAFWriterListener aafWriter, MetadataObject rootObject)`
    `static void` | `generateMetaDictionary(org.apache.poi.poifs.filesystem.DirectoryEntry metaDir, AAFWriterListener aafWriter, Preface preface)`
    `static void` | `main(String[] args)`
    `static AAFReaderListener` | `makeAAFEventReader()`
    `static String` | `makeAAFPathPartName(PropertyDefinition property)`
    `static String` | `makeAAFPathPartName(PropertyDefinition property, short localID)`
    `static String` | `makeAAFPathPartName(PropertyDefinition property, short localID, int index)`
    `static String` | `makeAAFPathPartReference(PropertyDefinition property, short localID)`
    `static AAFWriterListener` | `makeAAFWriterListener()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MobRefClassID

          public static final AUID MobRefClassID

  - ### Constructor Detail

    - #### AAFBuilder

          public AAFBuilder()

  - ### Method Detail

    - #### makeAAFEventReader

          public static final AAFReaderListener makeAAFEventReader()

    - #### makeAAFWriterListener

          public static final AAFWriterListener makeAAFWriterListener()

    - #### makeAAFPathPartName

          public static final String makeAAFPathPartName(PropertyDefinition property)
                                                  throws NullPointerException

      Throws:
        `NullPointerException`

    - #### makeAAFPathPartName

          public static final String makeAAFPathPartName(PropertyDefinition property,
                                                         short localID)
                                                  throws NullPointerException

      Throws:
        `NullPointerException`

    - #### makeAAFPathPartName

          public static final String makeAAFPathPartName(PropertyDefinition property,
                                                         short localID,
                                                         int index)
                                                  throws NullPointerException,
                                                         IllegalArgumentException

      Throws:
        `NullPointerException`
        `IllegalArgumentException`

    - #### makeAAFPathPartReference

          public static final String makeAAFPathPartReference(PropertyDefinition property,
                                                              short localID)
                                                       throws NullPointerException

      Throws:
        `NullPointerException`

    - #### generateAAFStructure

          public static final void generateAAFStructure(org.apache.poi.poifs.filesystem.DirectoryEntry classDir,
                                                        AAFWriterListener aafWriter,
                                                        MetadataObject rootObject)
                                                 throws IOException

      Throws:
        `IOException`

    - #### generateMetaDictionary

          public static final void generateMetaDictionary(org.apache.poi.poifs.filesystem.DirectoryEntry metaDir,
                                                          AAFWriterListener aafWriter,
                                                          Preface preface)
                                                   throws IOException

      Throws:
        `IOException`

    - #### main

          public static void main(String[] args)
                           throws IOException

      Parameters:
        `args` -
      Throws:
        `IOException`

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.